package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag998;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT998Creator;


public class Tag12Creator extends AbsTagCreate {
    private MT998Creator mt998Creator;
    public Tag12Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt998Creator = (MT998Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag12Value = mt998Creator.getSubMessageType();
        mt998Creator.set("12",tag12Value);
    }
}
